SRU 1.7 tracking bug

Bug #1828827 reported by Łukasz Zemczak on 2019-05-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Image
High
Łukasz Zemczak
ubuntu-image (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

New SRU tracking bug (with exception) for ubuntu-image 1.7 in Disco, Cosmic, Bionic and Xenial.

See https://wiki.ubuntu.com/UbuntuImageUpdates

[Impact]

ubuntu-image 1.7 fixes some bugs and pays down some technical debt. Besides test-fixes and some improvements regarding schema parsing, this version also adds support for the new --snap syntax (replacing the now-deprecated --extra-snaps argument).

[Test Case]

Create an image using the official amd64 model assertion. Ensure that the resulting image boots to 'press enter to configure' phase. Create an ubuntu-cpc project classic image using a modified amd64 gadget tree [1] and make sure it boots.

[Regression Potential]

* ubuntu-image may not produce a bootable image
* Old uses of the deprecated --extra-snaps commandline arguments might not work

[1] For example: https://github.com/sil2100/pc-amd64-gadget

Hello Łukasz, or anyone else affected,

Accepted ubuntu-image into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-image/1.7+19.04ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-image (Ubuntu):
status: New → Fix Released
Changed in ubuntu-image (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
description: updated
Brian Murray (brian-murray) wrote :

Hello Łukasz, or anyone else affected,

Accepted ubuntu-image into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-image/1.7+18.10ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-image (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed-cosmic
Changed in ubuntu-image (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello Łukasz, or anyone else affected,

Accepted ubuntu-image into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-image/1.7+18.04ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-image (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Brian Murray (brian-murray) wrote :

Hello Łukasz, or anyone else affected,

Accepted ubuntu-image into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-image/1.7+16.04ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Installed ubuntu-image 1.7+18.10ubuntu1 from cosmic-proposed on my local cosmic machine and did a test build of a ubuntu-core 18 image:

$ ubuntu-image snap -d pc-amd64-18.model
/sys/firmware/dmi/tables/smbios_entry_point: Permission denied
/dev/mem: Permission denied
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

The image booted successfully on kvm. Then I performed an amd64 ubuntu-cpc classic ubuntu build:

$ rm pc.img
$ sudo ubuntu-image classic -d -p ubuntu-cpc pc-amd64-gadget/prime/
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
[2019-05-16 19:27:45] lb_config
P: Executing auto/config script.
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

The resulting image was fine as well.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Installed ubuntu-image 1.7+18.04ubuntu1 from bionic-proposed on a bionic multipass image and did a test build of an ubuntu-core 18 image:

$ ubuntu-image snap -d pc-amd64-18.model
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

The image then booted successfully on kvm. Then I performed an amd64 ubuntu-cpc classic ubuntu build:

$ rm pc.img
$ sudo ubuntu-image classic -d -p ubuntu-cpc pc-amd64-gadget/prime/
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
[2019-05-17 11:04:14] lb_config
P: Executing auto/config script.
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

The resulting image seemed fine.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Installed ubuntu-image 1.7+16.04ubuntu1 from xenial-proposed on a xenial multipass image and did a test build of an ubuntu-core 18 image:

$ ubuntu-image snap -d pc-amd64-18.model
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
Fetching snapd
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

Image worked. Then did the same for a classic amd64 build:

$ rm pc.img
$ sudo ubuntu-image classic -d -p ubuntu-cpc pc-amd64-gadget/prime/
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
[2019-05-17 12:20:18] lb_config
P: Executing auto/config script.
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

tags: added: verification-done-xenial
removed: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Finally, installed ubuntu-image 1.7+19.04ubuntu1 from disco-proposed on a disco multipass image (had to use multipass from edge to get it booting though, disco is broken in --beta) and did the standard core test build:

$ ubuntu-image snap -d pc-amd64-18.model
/sys/firmware/dmi/tables/smbios_entry_point: Permission denied
/dev/mem: Permission denied
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
Fetching snapd
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

Image works as expected. After that, I did the usual classic ubuntu-cpc amd64 build:

$ sudo ubuntu-image classic -d -p ubuntu-cpc pc-amd64-gadget/prime
DEBUG:ubuntu-image:-> [ 0] make_temporary_directories
DEBUG:ubuntu-image:-> [ 1] prepare_gadget_tree
DEBUG:ubuntu-image:-> [ 2] prepare_image
[2019-05-17 12:54:24] lb_config
P: Executing auto/config script.
(...)
DEBUG:ubuntu-image:-> [14] close
$ ls | grep img
pc.img

Everything works as expected.

tags: added: verification-done verification-done-disco
removed: verification-needed verification-needed-disco
Łukasz Zemczak (sil2100) wrote :

Just to be sure the --extra-snaps/--snap functionality didn't regress, on disco I have performed two quick core image builds: one with --snap=hello=beta to install an additional hello snap from beta (new syntax) and another one with --extra-snaps=hello (old syntax). Both image builds went fine with the hello snap installed additionally on the images. Using --extra-snaps displayed a deprecation warning (as intended) but other than that worked as previously.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-image - 1.7+19.04ubuntu1

---------------
ubuntu-image (1.7+19.04ubuntu1) disco; urgency=medium

  [ Maciej Borzecki ]
  * Some parser improvements: more strict schema for volume names, make sure
    structure names are unique. (LP:1823160)

  [ Łukasz 'sil2100' Zemczak ]
  * Add support for the new prepare-image --snap=<snap>=<channel|risk> syntax,
    bump the snapd dependency to 2.38. (LP:1815580)
  * Print a deprecation warning when using the old --extra-snaps syntax.
  * Ignore the new 'grain' field in the pyparted partitiontable structure
    during unit-tests, as otherwise it's causing test failures for disco+.
    (LP:1826224)
  * SRU tracking number LP: #1828827

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 24 Apr 2019 16:54:22 +0200

Changed in ubuntu-image (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-image has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-image - 1.7+18.10ubuntu1

---------------
ubuntu-image (1.7+18.10ubuntu1) cosmic; urgency=medium

  [ Maciej Borzecki ]
  * Some parser improvements: more strict schema for volume names, make sure
    structure names are unique. (LP:1823160)

  [ Łukasz 'sil2100' Zemczak ]
  * Add support for the new prepare-image --snap=<snap>=<channel|risk> syntax,
    bump the snapd dependency to 2.38. (LP:1815580)
  * Print a deprecation warning when using the old --extra-snaps syntax.
  * Ignore the new 'grain' field in the pyparted partitiontable structure
    during unit-tests, as otherwise it's causing test failures for disco+.
    (LP:1826224)
  * SRU tracking number LP: #1828827

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 24 Apr 2019 16:54:22 +0200

Changed in ubuntu-image (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-image - 1.7+18.04ubuntu1

---------------
ubuntu-image (1.7+18.04ubuntu1) bionic; urgency=medium

  [ Maciej Borzecki ]
  * Some parser improvements: more strict schema for volume names, make sure
    structure names are unique. (LP:1823160)

  [ Łukasz 'sil2100' Zemczak ]
  * Add support for the new prepare-image --snap=<snap>=<channel|risk> syntax,
    bump the snapd dependency to 2.38. (LP:1815580)
  * Print a deprecation warning when using the old --extra-snaps syntax.
  * Ignore the new 'grain' field in the pyparted partitiontable structure
    during unit-tests, as otherwise it's causing test failures for disco+.
    (LP:1826224)
  * SRU tracking number LP: #1828827

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 24 Apr 2019 16:54:22 +0200

Changed in ubuntu-image (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-image - 1.7+16.04ubuntu1

---------------
ubuntu-image (1.7+16.04ubuntu1) xenial; urgency=medium

  [ Maciej Borzecki ]
  * Some parser improvements: more strict schema for volume names, make sure
    structure names are unique. (LP:1823160)

  [ Łukasz 'sil2100' Zemczak ]
  * Add support for the new prepare-image --snap=<snap>=<channel|risk> syntax,
    bump the snapd dependency to 2.38. (LP:1815580)
  * Print a deprecation warning when using the old --extra-snaps syntax.
  * Ignore the new 'grain' field in the pyparted partitiontable structure
    during unit-tests, as otherwise it's causing test failures for disco+.
    (LP:1826224)
  * SRU tracking number LP: #1828827

 -- Łukasz 'sil2100' Zemczak <email address hidden> Wed, 24 Apr 2019 16:54:22 +0200

Changed in ubuntu-image (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers